Jump to content
Jovilla

Unlocker VMWare Workstation 15.5

36 posts in this topic

Recommended Posts

Advertisement

Support. :) 

 

Please note older versions suffer from same issue too!
For example, on 1 of my 3 PCs with VMware Workstation 15, I had version 15.0.3. 
Carefully chose to NOT go to latest 15.5 version, but only to the older 15.1.0 one, but issue is the same - script still shows errors. :( 

I guess some code is wrong due to looking to wrong location of files online - latest Drawin.ISO image is not located in same location older versions were in anymore.

It is inside a ZIP file now. So, I assume due to this the Unlocker script fails.

Edited by Naki
Grammar/clarity

Share this post


Link to post
Share on other sites

I was able to install vmware 15.1 in a vmware workstation 15.5 version of windows 7...then use the unlocker on it...

 

This allows me to build macos machines within the virtual windows 7 vmware... i can then copy them to the host - and run the macos machonines from the vmware 15.5 on the host...

Share this post


Link to post
Share on other sites
On 9/23/2019 at 12:54 PM, Jovilla said:

Unlocker 302 Does not work with VMWare workstation 15.5
New version of unlocker?

 

Same Same... Unable to create mac image, if someone has a solution...

 

Thanks!

Share this post


Link to post
Share on other sites
On 10/14/2019 at 2:42 PM, aamerdabagh said:

this worked with VMware workstation 15.5. You can download it here: https://www.mediafire.com/file/w4khcmcu7hqo1a7/MK-unlocker.zip/file

i tested it and its worked fine with me with VMware® Workstation 15 Pro version 15.5.0 build-14665864

 

Thank you for the working link! Just what I needed. 

Share this post


Link to post
Share on other sites

Works for me too! :)
Using VMware Workstation 15.5 on TWO PCs here now, both unlocked with the supplied unofficial macOS Unlocker. :)
No need to patch any kernel files anymore when updating macOS Catalina to new version/build, as VMware 15.5 version fully supports macOS Catalina now. ;) 

Edited by Naki

Share this post


Link to post
Share on other sites
On 10/14/2019 at 12:42 PM, aamerdabagh said:

this worked with VMware workstation 15.5. You can download it here: https://www.mediafire.com/file/w4khcmcu7hqo1a7/MK-unlocker.zip/file

i tested it and its worked fine with me with VMware® Workstation 15 Pro version 15.5.0 build-14665864

Nope, this doesn't work with VMWare Workstation 15.5 on Linux:

 

Retrieving Darwin tools from: http://softwareupdate.vmware.com/cds/vmw-desktop/fusion/11.5.1/15018442/packages/com.vmware.fusion.tools.darwin.zip.tar
Traceback (most recent call last):
  File "gettools.py", line 178, in <module>
    main()
  File "gettools.py", line 126, in main
    tar = tarfile.open(convertpath(dest + '/tools/com.vmware.fusion.tools.darwin.zip.tar'), 'r')
  File "/usr/lib/python2.7/tarfile.py", line 1680, in open
    raise ReadError("file could not be opened successfully")
tarfile.ReadError: file could not be opened successfully

 

Share this post


Link to post
Share on other sites
5 hours ago, bkomanet said:

Nope, this doesn't work with VMWare Workstation 15.5 on Linux:

 

Retrieving Darwin tools from: http://softwareupdate.vmware.com/cds/vmw-desktop/fusion/11.5.1/15018442/packages/com.vmware.fusion.tools.darwin.zip.tar
Traceback (most recent call last):
  File "gettools.py", line 178, in <module>
    main()
  File "gettools.py", line 126, in main
    tar = tarfile.open(convertpath(dest + '/tools/com.vmware.fusion.tools.darwin.zip.tar'), 'r')
  File "/usr/lib/python2.7/tarfile.py", line 1680, in open
    raise ReadError("file could not be opened successfully")
tarfile.ReadError: file could not be opened successfully

 

 

You can try downloading https://github.com/DrDonk/unlocker manually, because Donk has already updated "gettools.py" with the one from paolo-projects

 

It worked fine for me in Ubuntu 16 and 18 as long as you define the proper python version in lnx-install.sh.

 

If you have errors like "Python not supported" but you have python installed, change the lines inside of lnx-install.sh from 'python xxxxxxx.py' to 'python3.7 xxxxxxx.py' (if you have python 3.7 installed, otherwise try python3 or other stuff)

 

Share this post


Link to post
Share on other sites

Dear Donk,

 

Thank you so much for the Unlocker releases. They're always of major help. The issue I see right now is the following:

 

All recent unlockers modified to work with VMware Workstation 15.5.x:

https://github.com/DrDonk/unlocker

https://github.com/paolo-projects/unlocker

https://github.com/BDisp/unlocker

 

have the following issue:

 

You cannot install any macOS in new machines. 

 

The Installation ISO works fine in VMware Workstation 15.10, but it doesn't work in VMWare Workstation 15.5.x

 

Upon installation of macOS 10.11x, 10.12.x, 10.13.x, 10.14.x the error displayed at the state of starting the installation upon formatting the hardddrive with DiskUtilities is: "CORRUPTED INSTALLATION DISK"

 

macOS Catalina 10.15.x ISOs will install only by turning board-id.reflectHost = "TRUE". If board-id.reflectHost = "FALSE" then the installation will not proceed. it will be just stuck at continue with no error message.

 

As I mentioned the installation media I used works fine in 15.10 and preinstalled machines with whichever version of macOS will run just fine, however it is impossible to install new ones.

 

I believe Unlocker is missing something. Can you please check this out?

 

Thank you so much!

Share this post


Link to post
Share on other sites

Finally was forced to upgrade to Workstation 15, but when unzipping unlocker (3.0.1, 3.0.2, 3.0.2-master via github) GetTools.exe is being flagged by Windows Defender as either Trojan:Win32/Wacatac.B!ml or Trojan:Win32/Casdet!rfn.

 

Looking for guidance - False alarm or hacked executable?

Share this post


Link to post
Share on other sites
11 hours ago, markm9999 said:

Finally was forced to upgrade to Workstation 15, but when unzipping unlocker (3.0.1, 3.0.2, 3.0.2-master via github) GetTools.exe is being flagged by Windows Defender as either Trojan:Win32/Wacatac.B!ml or Trojan:Win32/Casdet!rfn.

 

Looking for guidance - False alarm or hacked executable?

False alarm - i.e. false positive, no viruses here. :) 

Share this post


Link to post
Share on other sites

DrDonk unlocker is no more on github. Guess that is removal because it no longer works above 15.1.

Edited by tommiy

Share this post


Link to post
Share on other sites
13 hours ago, tommiy said:

DrDonk unlocker is no more on github. Guess that is removal because it no longer works above 15.1.

Please no such guesswork. Spreading panic usually does not help anybody.

Last time this happened, it had nothing to do with what you imply here. :)
(It was just an error on Donk's part. So, maybe it is the same this time too.)

Edited by Naki

Share this post


Link to post
Share on other sites
On 9/23/2019 at 12:54 PM, Jovilla said:

Unlocker 302 Does not work with VMWare workstation 15.5
New version of unlocker?

I use it. You run as administrator?

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

  • Recently Browsing   0 members

    No registered users viewing this page.

×